error messages with cvs-version

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

error messages with cvs-version

Helmut Jarausch
Hi,

I'm using the cvs version of gimp and I get quite a lot of error message.

First, whenever I load a jpeg file, I get
PDB calling error:
procedure 'gimp_progress_set_text' not found

What can I do about that?

Second, I get LOTS of messages like

(gimp:2410): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion
`G_TYPE_CHECK_INSTANCE (instance)' failed

(gimp:2410): Gtk-WARNING **: view-show-sample-points: missing action

(gimp:2410): Gtk-CRITICAL **: find_menu_position: assertion `GTK_IS_WIDGET
(prev_child)' failed

(gimp:2410): Gtk-CRITICAL **: find_menu_position: assertion `GTK_IS_WIDGET
(prev_child)' failed

(gimp:2410): GLib-GObject-WARNING **: invalid (NULL) pointer instance


I'm using gtk+-2.6.7 and friends.


Many thanks for a hint,
Helmut Jarausch.

_______________________________________________
Gimp-developer mailing list
[hidden email]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer
Reply | Threaded
Open this post in threaded view
|

Re: error messages with cvs-version

William Skaggs


You probably have older versions of glib and gtk on your system,
appearing earlier in your LD_LIBRARY_PATH than the versions that
GIMP needs.

  -- Bill


 

 
______________ ______________ ______________ ______________
Sent via the CNPRC Email system at primate.ucdavis.edu


 
                   
_______________________________________________
Gimp-developer mailing list
[hidden email]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer
Reply | Threaded
Open this post in threaded view
|

Re: error messages with cvs-version

Helmut Jarausch
William Skaggs wrote:
>
> You probably have older versions of glib and gtk on your system,
> appearing earlier in your LD_LIBRARY_PATH than the versions that
> GIMP needs.
>

I've checked this by listing all libraries shown by
ldd /usr/local/bin/gimp

and they are all very recent.

Helmut.


_______________________________________________
Gimp-developer mailing list
[hidden email]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer
Reply | Threaded
Open this post in threaded view
|

Re: error messages with cvs-version

Sven Neumann
In reply to this post by Helmut Jarausch
Hi,

Helmut Jarausch <[hidden email]> writes:

> I'm using the cvs version of gimp and I get quite a lot of error message.
>
> First, whenever I load a jpeg file, I get
> PDB calling error:
> procedure 'gimp_progress_set_text' not found
>
> What can I do about that?

You have installed the CVS version to the same prefix that you
installed gimp-2.2 to and now you are running gimp-2.2 (not the CVS
version which is gimp-2.3) using the libraries from CVS. Basically,
you managed to ignore the very prominent warning in the file INSTALL.


Sven
_______________________________________________
Gimp-developer mailing list
[hidden email]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer